#
# spec file for package perl-Devel-CheckCompiler
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-CheckCompiler
Version:        0.06
Release:        4.1
%define cpan_name Devel-CheckCompiler
Summary:        Check the compiler's availability
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-CheckCompiler/
Source0:        http://www.cpan.org/authors/id/S/SY/SYOHEX/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.380000
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(parent)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(parent)
%{perl_requires}

%description
Devel::CheckCompiler is checker for compiler's availability.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README.md

%changelog
* Tue Jun 30 2015 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Devel-CheckCompiler/Changes
  0.06 2015-06-30T05:22:51Z
  - More strict C99 check code
    (tokuhirom)
  - Fix for older GCC(< 5.0)
    (Syohei YOSHIDA)
* Tue Sep 16 2014 coolo@suse.com
- initial package 0.05
  * created by cpanspec 1.78.08
